Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgrapht.util
Class ArrayUtil

    java.lang.Object
      org.jgrapht.util.ArrayUtil

    public class ArrayUtil

extends java.lang.Object

Utility class to iterate over arrays and use toString() on their elements. In jdk1.5 , a few very useful methods were added to the system.Arrays class. JGraphT should work on jdk1.4, so we re-implement them here, as utility methods.

Author:
  Assaf_Lehr

Nested Class Summary
`static interface` | `ArrayUtil.ToStringFunctor`

Constructor Summary
`ArrayUtil()`

Method Summary
`static java.lang.String` | `toString(int[] array)` Prints the contents of an array (not the array ref itself).
`static java.lang.String` | `toString(java.lang.Object[] array)` Prints the contents of an array (not the array ref itself).
`static java.lang.String` | `toString(java.lang.Object[] array, ArrayUtil.ToStringFunctor functor)` Print the contents of an array (not the array ref itself).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayUtil

    public ArrayUtil()

Method Detail

### toString

    public static java.lang.String toString(int[] array)

  Prints the contents of an array (not the array ref itself).

  Parameters:
    `array` -

### toString

    public static java.lang.String toString(java.lang.Object[] array,
                                            ArrayUtil.ToStringFunctor functor)

  Print the contents of an array (not the array ref itself).

  Parameters:
    `array` -

### toString

    public static java.lang.String toString(java.lang.Object[] array)

  Prints the contents of an array (not the array ref itself).

  Parameters:
    `array` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD